View Issue Details

IDProjectCategoryView StatusLast Update
13760Bug reports[All Projects] Import/Exportpublic2018-06-15 15:43
ReporterseguiAssigned ToLouisGac 
PrioritynoneSeverityblock 
Status closedResolutionwon't fix 
Product Version3.9.x 
Target VersionFixed in Version 
Summary13760: Internal error when importing 3.9.0 lss file into 2.73.1+171220
Description

I am running a Limesurvey instance, version 2.73.1+171220. A client wants to move her surveys from limequery.com (running 3.9.0) to my installation. She exported her surveys in both .lss and .lsa formats. Trying to import her .lss files into our 2.73.1 instance fails with an internal error (attached).

Steps To Reproduce
  • On Limesurvey 2.73.1+171220, create survey -> import, and then select .lss file exported from 3.9.0 LS instance (attached)
  • Click "Import" button. An internal error message appears (attached: lss-import_internal_server_error.jpg)
  • When going to the list of surveys, a notification shows saying "One or more surveys seem to be broken - please use the data integrity check tool to fix this."
  • Click on the link to use the data integrity check tool. When getting to that screen, no errors are listed, just a notification saying "Some automatic fixes were already applied."
  • Go back to list of surveys. A new survey appears listed, but with no title, and can't be clicked (attached: lss-import_after_automatic_fixes.jpg)
  • When checking the database directly:
    --- there is an entry for the new survey in lime_surveys_languagesettings, with empty surveyls_title
    --- there are no question groups or questions for the new survey on the database.
  • Same problem is seein when trying to import a .lsa instead of a .lss
Additional Information

This is critical if we decide to go with parallel Limesurvey installations to transition from 2.73.1 to 3.x. If we import a 2.73.1 file into a new 3.x installation, and for some reason we have to put it back to 2.73.1, we won't be able to.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Source: 3.9.0; Target: 2.73.1+171220
I will donate to the project if issue is resolvedNo
BrowserGoogle Chrome Version 56.0.2924.87 (64-bit)
Database & DB-Versionmysql Ver 14.14 Distrib 5.5.60, for Linux (x86_64) using readline 5.1; Limesurvey dbversionnumber = 263
Operating System (Server)CentOS release 6.9
Webserver software & versionApache/2.2.15 (Unix)
PHP VersionPHP 5.6.36

Activities

segui

segui

2018-06-12 15:52

reporter  

limesurvey_survey_345132.lss (29,673 bytes)
LouisGac

LouisGac

2018-06-13 11:20

manager   ~48074

not a bug.

c_schmitz

c_schmitz

2018-06-15 15:43

administrator   ~48166

Version 3.12.1 Build 180616 released

Issue History

Date Modified Username Field Change
2018-06-12 15:52 segui New Issue
2018-06-12 15:52 segui File Added: limesurvey_survey_345132.lss
2018-06-12 15:52 segui File Added: lss-import_internal_server_error.jpg
2018-06-12 15:52 segui File Added: lss-import_after_automatic_fixes.jpg
2018-06-13 11:20 LouisGac Assigned To => markusfluer
2018-06-13 11:20 LouisGac Status new => assigned
2018-06-13 11:20 LouisGac Assigned To markusfluer => LouisGac
2018-06-13 11:20 LouisGac Status assigned => resolved
2018-06-13 11:20 LouisGac Resolution open => won't fix
2018-06-13 11:20 LouisGac Note Added: 48074
2018-06-15 15:43 c_schmitz Note Added: 48166
2018-06-15 15:43 c_schmitz Status resolved => closed